---
lang: en
title: 'API docs: metadata.metadatainspector.getdesigntypeformethod'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.metadata.metadatainspector.getdesigntypeformethod.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/metadata](./metadata.md) &gt; [MetadataInspector](./metadata.metadatainspector.md) &gt; [getDesignTypeForMethod](./metadata.metadatainspector.getdesigntypeformethod.md)

## MetadataInspector.getDesignTypeForMethod() method

Get TypeScript design time type for a method

<b>Signature:</b>

```typescript
static getDesignTypeForMethod(target: Object, methodName: string): DesignTimeMethodMetadata;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  target | <code>Object</code> | Class or prototype |
|  methodName | <code>string</code> | Method name |

<b>Returns:</b>

`DesignTimeMethodMetadata`


